Features2d (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class Features2d

- java.lang.Object
- - org.opencv.features2d.Features2d

-     public class Features2d
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DRAW_OVER_OUTIMG`
    `static int` | `DRAW_RICH_KEYPOINTS`
    `static int` | `NOT_DRAW_SINGLE_POINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Features2d()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawKeypoints(Mat image, MatOfKeyPoint keypoints, Mat outImage)`
    `static void` | `drawKeypoints(Mat image, MatOfKeyPoint keypoints, Mat outImage, Scalar color, int flags)`
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg)`
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, MatOfByte matchesMask, int flags)`
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, java.util.List<MatOfDMatch> matches1to2, Mat outImg)`
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, java.util.List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, java.util.List<MatOfByte> matchesMask, int flags)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, java.util.List<MatOfDMatch> matches1to2, Mat outImg)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, java.util.List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, java.util.List<MatOfByte> matchesMask, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DRAW_OVER_OUTIMG

          public static final int DRAW_OVER_OUTIMG

      See Also:
        Constant Field Values

    - #### NOT_DRAW_SINGLE_POINTS

          public static final int NOT_DRAW_SINGLE_POINTS

      See Also:
        Constant Field Values

    - #### DRAW_RICH_KEYPOINTS

          public static final int DRAW_RICH_KEYPOINTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Features2d

          public Features2d()

  - ### Method Detail

    - #### drawKeypoints

          public static void drawKeypoints(Mat image,
                                           MatOfKeyPoint keypoints,
                                           Mat outImage,
                                           Scalar color,
                                           int flags)

    - #### drawKeypoints

          public static void drawKeypoints(Mat image,
                                           MatOfKeyPoint keypoints,
                                           Mat outImage)

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg,
                                         Scalar matchColor,
                                         Scalar singlePointColor,
                                         MatOfByte matchesMask,
                                         int flags)

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg)

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          java.util.List<MatOfDMatch> matches1to2,
                                          Mat outImg,
                                          Scalar matchColor,
                                          Scalar singlePointColor,
                                          java.util.List<MatOfByte> matchesMask,
                                          int flags)

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          java.util.List<MatOfDMatch> matches1to2,
                                          Mat outImg)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            java.util.List<MatOfDMatch> matches1to2,
                                            Mat outImg,
                                            Scalar matchColor,
                                            Scalar singlePointColor,
                                            java.util.List<MatOfByte> matchesMask,
                                            int flags)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            java.util.List<MatOfDMatch> matches1to2,
                                            Mat outImg)

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown